package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLObject;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.Collections;
import java.util.List;

public class MariadbDeallocatePrepareStatement extends MariadbStatementImpl {
   private SQLName statementName;

   public SQLName getStatementName() {
      return this.statementName;
   }

   public void setStatementName(SQLName statementName) {
      this.statementName = statementName;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.statementName);
      }

      visitor.endVisit(this);
   }

   public List<SQLObject> getChildren() {
      return Collections.singletonList(this.statementName);
   }
}
